Payment API

get /billing/sources

List payment sources

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Retrieve all payment sources from user account

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
typequerystringnoPayment type (e.g. 'card') (e.g. card)
room_codequerystringyesRoom code to scope the payment source (e.g. abc)
provider_idquerystringnoProvider ID (optional) to scope the payment source (e.g. 12312)

Responses

200 — Successful response

Multiple Cards

{
  "data": [
    {
      "id": "card_19DrgXBY2jn2BCqQNpjjzuay",
      "type": "card",
      "brand": "Visa",
      "last4": "4242",
      "exp_month": 8,
      "exp_year": 2017,
      "is_default": true
    },
    {
      "id": "card_19DrgXBY2jn2BCqQNpjjzub",
      "type": "card",
      "brand": "Visa",
      "last4": "4242",
      "exp_month": 8,
      "exp_year": 2017,
      "is_default": false
    }
  ]
}

Machine-readable: OpenAPI JSON